Oro\Bundle\AddressBundle\Entity\AbstractAddress:
    properties:
        street:
            - Length:
                  max: 500

        street2:
            - Length:
                  max: 500

        city:
            - Length:
                  max: 255

        postalCode:
            - Length:
                  max: 255

        regionText:
            - Length:
                max: 255

        firstName:
            - Length:
                  max: 255

        lastName:
            - Length:
                  max: 255

        namePrefix:
            - Length:
                  max: 255

        middleName:
            - Length:
                  max: 255

        nameSuffix:
            - Length:
                  max: 255

        organization:
            - Length:
                  max: 255

        label:
            - Length:
                  max: 255

Oro\Bundle\AddressBundle\Entity\Address:
    constraints:
        - Oro\Bundle\AddressBundle\Validator\Constraints\ValidRegion: ~
        - Oro\Bundle\AddressBundle\Validator\Constraints\RegionText: ~
    properties:
        street:
            - NotBlank: ~
        city:
            - NotBlank: ~
        postalCode:
            - NotBlank: ~
        country:
            - NotBlank: ~

Oro\Bundle\AddressBundle\Entity\AbstractEmail:
    properties:
        email:
            - NotBlank: ~
            - Email: ~

Oro\Bundle\AddressBundle\Entity\AbstractPhone:
    properties:
        phone:
            - NotBlank: ~
